Subject: Re: [bug#30727] [PATCH] gnu: inetutils: Drop "vmunix: " prefix for messages read from /dev/kmsg in syslogd.

From: Danny Milosavljevic <[email-masked]>
Date: Wed, 7 Mar 2018 20:10:21 +0100

Hi Ludo,

On Wed, 07 Mar 2018 13:40:55 +0100
[email-masked] (Ludovic Courtès) wrote:

> I’d rather not do that.  :-)
> 
> I think it’s good that syslogd distinguishes between “real” syslog
> messages and messages coming from the kernel.  It’s also useful if one
> is to filter messages.

Yeah, I wasn't 100% serious ;-)

It would be possible to do the patch - but I think there are vastly better
syslog daemons that already do all those things correctly (and also
parse the kmsg timestamps) (syslog-ng etc).

But I figured out how to do it - and I don't actually want to do it on
my system, so now we have an archived version.

I'd just go the UNIX way and ignore the problem and hope it goes away ;-)

We can already filter via vmunix.*shepherd as-is, that should work anyhow.